4Suite™ API Documentation

# ► Module Ft.Server

4Suite repository
Copyright 2005 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: FtServerBaseException |  |  |  | Fields: FTSERVER_NAMESPACE, FTSS_URI_SCHEME, RESERVED_NAMESPACE, SCHEMA_NSS, SWISH_SCHEMA, SYSTEM_ID_BASE, TEMP_FILE_SCHEMA, __version__

## Classes

class FtServerBaseException(Ft.FtException)
Base class for repository-specific exceptions.
Subclasses must define self.MessageSource as the module
containing a g_errorMessages mapping of error codes to
message strings.

### Methods

__init__(self, errorCode, *args, **kwargs)

### Methods inherited from class Ft.FtException

__getattr__, __repr__, __str__

### Methods inherited from class exceptions.Exception

__getitem__

### Fields

MessageSource = None

## Fields

FTSERVER_NAMESPACE = 'http://xmlns.4suite.org/reserved'
FTSS_URI_SCHEME = 'ftss'
RESERVED_NAMESPACE = 'http://xmlns.4suite.org/reserved'
SCHEMA_NSS = 'http://schemas.4suite.org/4ss'
SWISH_SCHEMA = 'http://schemas.4suite.org/4ss#metaxml.swish'
SYSTEM_ID_BASE = 'urn:4suite.org:4ss:repository:'
TEMP_FILE_SCHEMA = 'http://schemas.4suite.org/4ss#temp.file'
__version__ = '1.0b1'